Bug 169765 - [g++] Generates invalid MMX code for _mm_set_pi32()
[g++] Generates invalid MMX code for _mm_set_pi32()
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-03 09:08 EDT by Enrico Scholz
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.0.2-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-08 04:30:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2005-10-03 09:08:35 EDT
Description of problem:

---
$ cat foo.c 
#include <mmintrin.h>

extern void bar(__m64);
int foo()
{
        bar(_mm_set_pi32(0x000000FF,0xFFFF00FF));
}
---

| $ g++ -c -mmmx -O2 foo.c 
| /tmp/ccttaomY.s: Assembler messages:
| /tmp/ccttaomY.s:17: Error: suffix or operands invalid for `mov'


Does not happen without '-O2' or with 'gcc' (instead of 'g++').



Version-Release number of selected component (if applicable):

gcc-4.0.1-4.fc4


How reproducible:

100%
Comment 2 Jakub Jelinek 2005-10-08 04:30:24 EDT
Should be fixed in gcc-4.0.2-3.

Note You need to log in before you can comment on or make changes to this bug.